Get a task recording
curl --request GET \
--url https://guidinghand.ai/v1/tasks/{task_id}/recording \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/tasks/{task_id}/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/tasks/{task_id}/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "recording",
"task_id": "<string>",
"frames": [
{
"seq": 123,
"t_ms": 123,
"after_event": 123,
"width": 123,
"height": 123,
"url": "<string>"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}Tasks
Get a task recording
The screens the agent saw, in order, with their time from the start of the task. The console replays them with the agent’s cursor at replay_url.
GET
/
v1
/
tasks
/
{task_id}
/
recording
Get a task recording
curl --request GET \
--url https://guidinghand.ai/v1/tasks/{task_id}/recording \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/tasks/{task_id}/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/tasks/{task_id}/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "recording",
"task_id": "<string>",
"frames": [
{
"seq": 123,
"t_ms": 123,
"after_event": 123,
"width": 123,
"height": 123,
"url": "<string>"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer"
}
}